function Y = flip_levy(X)
%mimimum=0,   X=[1,...,1]  
dim = size(X,2);  % dimension of the problem
for i = 1:dim; 
    Z(:,i) = 1+(X(:,i)-1)/4; 
end
s = sin(pi*Z(:,1)).^2;
for i = 1:dim-1
    s = s+(Z(:,i)-1).^2.*(1+10*(sin(pi*Z(:,i)+1)).^2);
end 
Y = s+(Z(:,dim)-1).^2.*(1+10*(sin(2*pi*Z(:,dim))).^2);
Y=Y+1;


% the above part of the levy function was intended for a minization problem,
% since GASS is working under a maximization formulation, we need to flip it
Y = -Y;

