%minimum=0  X=[0...0]
function Y = flip_rastrigin(X) 
dim = size(X,2);
s = 0;
for j = 1:dim
    s = s+(X(:,j).^2-10*cos(2*pi*X(:,j))); 
end
Y = 10*dim+s;
Y=Y+1;


% the above part of the rastrigin function was intended for a minization problem,
% since GASS is working under a maximization formulation, we need to flip it
Y = -Y;


